<template>
  <section class="px-4 pb-5 pt-16">
    <div class="py-4 flex justify-between border-b border-900">
      <span class="font-semibold text-xl base:text-lg small:text-base"
        >Pilih Metode Pengiriman</span
      >
    </div>

    <!-- <ReaderCheckbox
      label="Pickup / diambil"
      imgsrc="/src/assets/img-cart/pickup.png"
      v-model="shippingtype"
      classes="w-8 base:w-7"
    /> -->

    <label
      for="Pickup / diambil"
      class="flex p-4 cursor-pointer items-center mt-4 justify-between bg-1100 border border-900 rounded-2xl"
    >
      <div class="flex flex-row justify-center items-center">
        <img
          src="../../../assets/img-cart/pickup.png"
          alt="logo"
          class="w-8 base:w-7"
        />

        <label
          for="Pickup / diambil"
          class="ml-4 cursor-pointer text-200 font-semibold text-base base:text-sm"
          >Pickup / diambil</label
        >
      </div>
      <input
        type="radio"
        name="Pickup / diambil"
        value="Pickup / diambil"
        id="Pickup / diambil"
        class="cursor-pointer form-check-input appearance-none rounded-full h-5 w-5 base:h-4 base:w-4 border-2 border-1100 bg-1500 ring-2 ring-1500 checked:bg-400 checked:ring-400 focus:outline-none transition duration-200 my-1 align-top bg-no-repeat bg-center bg-contain float-left"
        v-model="shippingtype"
      />
    </label>

    <!-- <ReaderCheckbox
      label="Ekspress / Kirim Cepat"
      imgsrc="/src/assets/img-cart/express.png"
      v-model="shippingtype"
      classes="w-[22px] base:w-[18px]"
    /> -->

    <label
      for="Ekspress / Kirim Cepat"
      class="flex p-4 cursor-pointer items-center mt-4 justify-between bg-1100 border border-900 rounded-2xl"
    >
      <div class="flex flex-row justify-center items-center">
        <img
          src="../../../assets/img-cart/express.png"
          alt="logo"
          class="w-[22px] base:w-[18px]"
        />

        <label
          for="Ekspress / Kirim Cepat"
          class="ml-4 cursor-pointer text-200 font-semibold text-base base:text-sm"
          >Ekspress / Kirim Cepat</label
        >
      </div>
      <input
        type="radio"
        name="Ekspress / Kirim Cepat"
        value="Ekspress / Kirim Cepat"
        id="Ekspress / Kirim Cepat"
        class="cursor-pointer form-check-input appearance-none rounded-full h-5 w-5 base:h-4 base:w-4 border-2 border-1100 bg-1500 ring-2 ring-1500 checked:bg-400 checked:ring-400 focus:outline-none transition duration-200 my-1 align-top bg-no-repeat bg-center bg-contain float-left"
        v-model="shippingtype"
      />
    </label>

    <!-- <ReaderCheckbox
      label="09:00 - 11:00"
      imgsrc="/src/assets/img-cart/pendingg.png"
      v-model="shippingtype"
      classes="w-7 base:w-6"
    /> -->

    <label
      for="09:00 - 11:00"
      class="flex p-4 cursor-pointer items-center mt-4 justify-between bg-1100 border border-900 rounded-2xl"
    >
      <div class="flex flex-row justify-center items-center">
        <img
          src="../../../assets/img-cart/pendingg.png"
          alt="logo"
          class="w-7 base:w-6"
        />

        <label
          for="09:00 - 11:00"
          class="ml-4 cursor-pointer text-200 font-semibold text-base base:text-sm"
          >09:00 - 11:00</label
        >
      </div>
      <input
        type="radio"
        name="09:00 - 11:00"
        value="09:00 - 11:00"
        id="09:00 - 11:00"
        class="cursor-pointer form-check-input appearance-none rounded-full h-5 w-5 base:h-4 base:w-4 border-2 border-1100 bg-1500 ring-2 ring-1500 checked:bg-400 checked:ring-400 focus:outline-none transition duration-200 my-1 align-top bg-no-repeat bg-center bg-contain float-left"
        v-model="shippingtype"
      />
    </label>

    <!-- <ReaderCheckbox
      label="12:00 - 16:00"
      imgsrc="/src/assets/img-cart/pendingg.png"
      v-model="shippingtype"
      classes="w-7 base:w-6"
    /> -->

    <label
      for="12:00 - 16:00"
      class="flex p-4 cursor-pointer items-center mt-4 justify-between bg-1100 border border-900 rounded-2xl"
    >
      <div class="flex flex-row justify-center items-center">
        <img
          src="../../../assets/img-cart/pendingg.png"
          alt="logo"
          class="w-7 base:w-6"
        />

        <label
          for="12:00 - 16:00"
          class="ml-4 cursor-pointer text-200 font-semibold text-base base:text-sm"
          >12:00 - 16:00</label
        >
      </div>
      <input
        type="radio"
        name="12:00 - 16:00"
        value="12:00 - 16:00"
        id="12:00 - 16:00"
        class="cursor-pointer form-check-input appearance-none rounded-full h-5 w-5 base:h-4 base:w-4 border-2 border-1100 bg-1500 ring-2 ring-1500 checked:bg-400 checked:ring-400 focus:outline-none transition duration-200 my-1 align-top bg-no-repeat bg-center bg-contain float-left"
        v-model="shippingtype"
      />
    </label>

    <!-- <ReaderCheckbox
      label="18:00 - 20:00"
      imgsrc="/src/assets/img-cart/pendingg.png"
      v-model="shippingtype"
      classes="w-7 base:w-6"
    /> -->

    <label
      for="18:00 - 20:00"
      class="flex p-4 cursor-pointer items-center mt-4 justify-between bg-1100 border border-900 rounded-2xl"
    >
      <div class="flex flex-row justify-center items-center">
        <img
          src="../../../assets/img-cart/pendingg.png"
          alt="logo"
          class="w-7 base:w-6"
        />

        <label
          for="18:00 - 20:00"
          class="ml-4 cursor-pointer text-200 font-semibold text-base base:text-sm"
          >18:00 - 20:00</label
        >
      </div>
      <input
        type="radio"
        name="18:00 - 20:00"
        value="18:00 - 20:00"
        id="18:00 - 20:00"
        class="cursor-pointer form-check-input appearance-none rounded-full h-5 w-5 base:h-4 base:w-4 border-2 border-1100 bg-1500 ring-2 ring-1500 checked:bg-400 checked:ring-400 focus:outline-none transition duration-200 my-1 align-top bg-no-repeat bg-center bg-contain float-left"
        v-model="shippingtype"
      />
    </label>
  </section>
</template>

<script>
import ReaderCheckbox from "../../../common/ReaderCheckbox.vue";
export default {
  name: "Method",
  components: {
    ReaderCheckbox,
  },
  data() {
    return {
      shippingtype: "",
    };
  },
};
</script>
